/*!
 * devextreme-angular
 * Version: 24.1.1-alpha-24082-1039
 * Build date: Fri Mar 22 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare abstract class DxoVizFont extends NestedOption {
    get color(): string;
    set color(value: string);
    get family(): string;
    set family(value: string);
    get opacity(): number;
    set opacity(value: number);
    get size(): number | string;
    set size(value: number | string);
    get weight(): number;
    set weight(value: number);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoVizFont, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoVizFont, "ng-component", never, {}, {}, never, never>;
}
