/*!
 * devextreme-angular
 * Version: 24.1.1-alpha-24082-1039
 * Build date: Fri Mar 22 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDataPrepareSettingsComponent extends NestedOption implements OnDestroy, OnInit {
    get checkTypeForAllData(): boolean;
    set checkTypeForAllData(value: boolean);
    get convertToAxisDataType(): boolean;
    set convertToAxisDataType(value: boolean);
    get sortingMethod(): boolean | Function;
    set sortingMethod(value: boolean | Function);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataPrepareSettingsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDataPrepareSettingsComponent, "dxo-data-prepare-settings", never, { "checkTypeForAllData": "checkTypeForAllData"; "convertToAxisDataType": "convertToAxisDataType"; "sortingMethod": "sortingMethod"; }, {}, never, never>;
}
export declare class DxoDataPrepareSettingsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataPrepareSettingsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDataPrepareSettingsModule, [typeof DxoDataPrepareSettingsComponent], never, [typeof DxoDataPrepareSettingsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDataPrepareSettingsModule>;
}
