/*!
 * devextreme-angular
 * Version: 24.1.1-alpha-24082-1039
 * Build date: Fri Mar 22 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDelayComponent extends NestedOption implements OnDestroy, OnInit {
    get hide(): number;
    set hide(value: number);
    get show(): number;
    set show(value: number);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDelayComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDelayComponent, "dxo-delay", never, { "hide": "hide"; "show": "show"; }, {}, never, never>;
}
export declare class DxoDelayModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDelayModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDelayModule, [typeof DxoDelayComponent], never, [typeof DxoDelayComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDelayModule>;
}
