/*!
 * devextreme-angular
 * Version: 24.1.1-alpha-24082-1039
 * Build date: Fri Mar 22 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoGanttSorting } from './base/gantt-sorting';
import * as i0 from "@angular/core";
export declare class DxoSortingComponent extends DxoGanttSorting implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSortingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoSortingComponent, "dxo-sorting", never, { "ascendingText": "ascendingText"; "clearText": "clearText"; "descendingText": "descendingText"; "mode": "mode"; "showSortIndexes": "showSortIndexes"; }, {}, never, never>;
}
export declare class DxoSortingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSortingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoSortingModule, [typeof DxoSortingComponent], never, [typeof DxoSortingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoSortingModule>;
}
