(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common/http'), require('devextreme/core/utils/ajax'), require('rxjs'), require('rxjs/operators'), require('devextreme/core/utils/deferred'), require('devextreme/core/utils/type'), require('devextreme/core/utils/window'), require('devextreme/core/utils/ajax_utils')) :
  typeof define === 'function' && define.amd ? define('devextreme-angular/http', ['exports', '@angular/core', '@angular/common/http', 'devextreme/core/utils/ajax', 'rxjs', 'rxjs/operators', 'devextreme/core/utils/deferred', 'devextreme/core/utils/type', 'devextreme/core/utils/window', 'devextreme/core/utils/ajax_utils'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global["devextreme-angular"] = global["devextreme-angular"] || {}, global["devextreme-angular"].http = {}), global.ng.core, global.ng.common.http, global.devextremeAjax, global.rxjs, global.rxjs.operators, global.deferred, global.type, global.window, global.ajax_utils));
})(this, (function (exports, i0, i1, devextremeAjax, rxjs, operators, deferred, type, window, ajax_utils) { 'use strict';

  function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

  function _interopNamespace(e) {
    if (e && e.__esModule) return e;
    var n = Object.create(null);
    if (e) {
      Object.keys(e).forEach(function (k) {
        if (k !== 'default') {
          var d = Object.getOwnPropertyDescriptor(e, k);
          Object.defineProperty(n, k, d.get ? d : {
            enumerable: true,
            get: function () { return e[k]; }
          });
        }
      });
    }
    n["default"] = e;
    return Object.freeze(n);
  }

  var i0__namespace = /*#__PURE__*/_interopNamespace(i0);
  var i1__namespace = /*#__PURE__*/_interopNamespace(i1);
  var devextremeAjax__default = /*#__PURE__*/_interopDefaultLegacy(devextremeAjax);

  /******************************************************************************
  Copyright (c) Microsoft Corporation.

  Permission to use, copy, modify, and/or distribute this software for any
  purpose with or without fee is hereby granted.

  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
  REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
  INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
  PERFORMANCE OF THIS SOFTWARE.
  ***************************************************************************** */
  /* global Reflect, Promise, SuppressedError, Symbol */
  var extendStatics = function (d, b) {
      extendStatics = Object.setPrototypeOf ||
          ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
          function (d, b) { for (var p in b)
              if (Object.prototype.hasOwnProperty.call(b, p))
                  d[p] = b[p]; };
      return extendStatics(d, b);
  };
  function __extends(d, b) {
      if (typeof b !== "function" && b !== null)
          throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
      extendStatics(d, b);
      function __() { this.constructor = d; }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  }
  var __assign = function () {
      __assign = Object.assign || function __assign(t) {
          for (var s, i = 1, n = arguments.length; i < n; i++) {
              s = arguments[i];
              for (var p in s)
                  if (Object.prototype.hasOwnProperty.call(s, p))
                      t[p] = s[p];
          }
          return t;
      };
      return __assign.apply(this, arguments);
  };
  function __rest(s, e) {
      var t = {};
      for (var p in s)
          if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
              t[p] = s[p];
      if (s != null && typeof Object.getOwnPropertySymbols === "function")
          for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
              if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                  t[p[i]] = s[p[i]];
          }
      return t;
  }
  function __decorate(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
          r = Reflect.decorate(decorators, target, key, desc);
      else
          for (var i = decorators.length - 1; i >= 0; i--)
              if (d = decorators[i])
                  r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
      return c > 3 && r && Object.defineProperty(target, key, r), r;
  }
  function __param(paramIndex, decorator) {
      return function (target, key) { decorator(target, key, paramIndex); };
  }
  function __esDecorate(ctor, descriptorIn, decorators, contextIn, initializers, extraInitializers) {
      function accept(f) { if (f !== void 0 && typeof f !== "function")
          throw new TypeError("Function expected"); return f; }
      var kind = contextIn.kind, key = kind === "getter" ? "get" : kind === "setter" ? "set" : "value";
      var target = !descriptorIn && ctor ? contextIn["static"] ? ctor : ctor.prototype : null;
      var descriptor = descriptorIn || (target ? Object.getOwnPropertyDescriptor(target, contextIn.name) : {});
      var _, done = false;
      for (var i = decorators.length - 1; i >= 0; i--) {
          var context = {};
          for (var p in contextIn)
              context[p] = p === "access" ? {} : contextIn[p];
          for (var p in contextIn.access)
              context.access[p] = contextIn.access[p];
          context.addInitializer = function (f) { if (done)
              throw new TypeError("Cannot add initializers after decoration has completed"); extraInitializers.push(accept(f || null)); };
          var result = (0, decorators[i])(kind === "accessor" ? { get: descriptor.get, set: descriptor.set } : descriptor[key], context);
          if (kind === "accessor") {
              if (result === void 0)
                  continue;
              if (result === null || typeof result !== "object")
                  throw new TypeError("Object expected");
              if (_ = accept(result.get))
                  descriptor.get = _;
              if (_ = accept(result.set))
                  descriptor.set = _;
              if (_ = accept(result.init))
                  initializers.unshift(_);
          }
          else if (_ = accept(result)) {
              if (kind === "field")
                  initializers.unshift(_);
              else
                  descriptor[key] = _;
          }
      }
      if (target)
          Object.defineProperty(target, contextIn.name, descriptor);
      done = true;
  }
  ;
  function __runInitializers(thisArg, initializers, value) {
      var useValue = arguments.length > 2;
      for (var i = 0; i < initializers.length; i++) {
          value = useValue ? initializers[i].call(thisArg, value) : initializers[i].call(thisArg);
      }
      return useValue ? value : void 0;
  }
  ;
  function __propKey(x) {
      return typeof x === "symbol" ? x : "".concat(x);
  }
  ;
  function __setFunctionName(f, name, prefix) {
      if (typeof name === "symbol")
          name = name.description ? "[".concat(name.description, "]") : "";
      return Object.defineProperty(f, "name", { configurable: true, value: prefix ? "".concat(prefix, " ", name) : name });
  }
  ;
  function __metadata(metadataKey, metadataValue) {
      if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
          return Reflect.metadata(metadataKey, metadataValue);
  }
  function __awaiter(thisArg, _arguments, P, generator) {
      function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
      return new (P || (P = Promise))(function (resolve, reject) {
          function fulfilled(value) { try {
              step(generator.next(value));
          }
          catch (e) {
              reject(e);
          } }
          function rejected(value) { try {
              step(generator["throw"](value));
          }
          catch (e) {
              reject(e);
          } }
          function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
          step((generator = generator.apply(thisArg, _arguments || [])).next());
      });
  }
  function __generator(thisArg, body) {
      var _ = { label: 0, sent: function () { if (t[0] & 1)
              throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
      function verb(n) { return function (v) { return step([n, v]); }; }
      function step(op) {
          if (f)
              throw new TypeError("Generator is already executing.");
          while (g && (g = 0, op[0] && (_ = 0)), _)
              try {
                  if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                      return t;
                  if (y = 0, t)
                      op = [op[0] & 2, t.value];
                  switch (op[0]) {
                      case 0:
                      case 1:
                          t = op;
                          break;
                      case 4:
                          _.label++;
                          return { value: op[1], done: false };
                      case 5:
                          _.label++;
                          y = op[1];
                          op = [0];
                          continue;
                      case 7:
                          op = _.ops.pop();
                          _.trys.pop();
                          continue;
                      default:
                          if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                              _ = 0;
                              continue;
                          }
                          if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                              _.label = op[1];
                              break;
                          }
                          if (op[0] === 6 && _.label < t[1]) {
                              _.label = t[1];
                              t = op;
                              break;
                          }
                          if (t && _.label < t[2]) {
                              _.label = t[2];
                              _.ops.push(op);
                              break;
                          }
                          if (t[2])
                              _.ops.pop();
                          _.trys.pop();
                          continue;
                  }
                  op = body.call(thisArg, _);
              }
              catch (e) {
                  op = [6, e];
                  y = 0;
              }
              finally {
                  f = t = 0;
              }
          if (op[0] & 5)
              throw op[1];
          return { value: op[0] ? op[1] : void 0, done: true };
      }
  }
  var __createBinding = Object.create ? (function (o, m, k, k2) {
      if (k2 === undefined)
          k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
          desc = { enumerable: true, get: function () { return m[k]; } };
      }
      Object.defineProperty(o, k2, desc);
  }) : (function (o, m, k, k2) {
      if (k2 === undefined)
          k2 = k;
      o[k2] = m[k];
  });
  function __exportStar(m, o) {
      for (var p in m)
          if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
              __createBinding(o, m, p);
  }
  function __values(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
          return m.call(o);
      if (o && typeof o.length === "number")
          return {
              next: function () {
                  if (o && i >= o.length)
                      o = void 0;
                  return { value: o && o[i++], done: !o };
              }
          };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  }
  function __read(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
          return o;
      var i = m.call(o), r, ar = [], e;
      try {
          while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
              ar.push(r.value);
      }
      catch (error) {
          e = { error: error };
      }
      finally {
          try {
              if (r && !r.done && (m = i["return"]))
                  m.call(i);
          }
          finally {
              if (e)
                  throw e.error;
          }
      }
      return ar;
  }
  /** @deprecated */
  function __spread() {
      for (var ar = [], i = 0; i < arguments.length; i++)
          ar = ar.concat(__read(arguments[i]));
      return ar;
  }
  /** @deprecated */
  function __spreadArrays() {
      for (var s = 0, i = 0, il = arguments.length; i < il; i++)
          s += arguments[i].length;
      for (var r = Array(s), k = 0, i = 0; i < il; i++)
          for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
              r[k] = a[j];
      return r;
  }
  function __spreadArray(to, from, pack) {
      if (pack || arguments.length === 2)
          for (var i = 0, l = from.length, ar; i < l; i++) {
              if (ar || !(i in from)) {
                  if (!ar)
                      ar = Array.prototype.slice.call(from, 0, i);
                  ar[i] = from[i];
              }
          }
      return to.concat(ar || Array.prototype.slice.call(from));
  }
  function __await(v) {
      return this instanceof __await ? (this.v = v, this) : new __await(v);
  }
  function __asyncGenerator(thisArg, _arguments, generator) {
      if (!Symbol.asyncIterator)
          throw new TypeError("Symbol.asyncIterator is not defined.");
      var g = generator.apply(thisArg, _arguments || []), i, q = [];
      return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
      function verb(n) { if (g[n])
          i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
      function resume(n, v) { try {
          step(g[n](v));
      }
      catch (e) {
          settle(q[0][3], e);
      } }
      function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
      function fulfill(value) { resume("next", value); }
      function reject(value) { resume("throw", value); }
      function settle(f, v) { if (f(v), q.shift(), q.length)
          resume(q[0][0], q[0][1]); }
  }
  function __asyncDelegator(o) {
      var i, p;
      return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
      function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: false } : f ? f(v) : v; } : f; }
  }
  function __asyncValues(o) {
      if (!Symbol.asyncIterator)
          throw new TypeError("Symbol.asyncIterator is not defined.");
      var m = o[Symbol.asyncIterator], i;
      return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
      function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
      function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
  }
  function __makeTemplateObject(cooked, raw) {
      if (Object.defineProperty) {
          Object.defineProperty(cooked, "raw", { value: raw });
      }
      else {
          cooked.raw = raw;
      }
      return cooked;
  }
  ;
  var __setModuleDefault = Object.create ? (function (o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
  }) : function (o, v) {
      o["default"] = v;
  };
  function __importStar(mod) {
      if (mod && mod.__esModule)
          return mod;
      var result = {};
      if (mod != null)
          for (var k in mod)
              if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                  __createBinding(result, mod, k);
      __setModuleDefault(result, mod);
      return result;
  }
  function __importDefault(mod) {
      return (mod && mod.__esModule) ? mod : { default: mod };
  }
  function __classPrivateFieldGet(receiver, state, kind, f) {
      if (kind === "a" && !f)
          throw new TypeError("Private accessor was defined without a getter");
      if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
          throw new TypeError("Cannot read private member from an object whose class did not declare it");
      return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
  }
  function __classPrivateFieldSet(receiver, state, value, kind, f) {
      if (kind === "m")
          throw new TypeError("Private method is not writable");
      if (kind === "a" && !f)
          throw new TypeError("Private accessor was defined without a setter");
      if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
          throw new TypeError("Cannot write private member to an object whose class did not declare it");
      return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
  }
  function __classPrivateFieldIn(state, receiver) {
      if (receiver === null || (typeof receiver !== "object" && typeof receiver !== "function"))
          throw new TypeError("Cannot use 'in' operator on non-object");
      return typeof state === "function" ? receiver === state : state.has(receiver);
  }
  function __addDisposableResource(env, value, async) {
      if (value !== null && value !== void 0) {
          if (typeof value !== "object" && typeof value !== "function")
              throw new TypeError("Object expected.");
          var dispose;
          if (async) {
              if (!Symbol.asyncDispose)
                  throw new TypeError("Symbol.asyncDispose is not defined.");
              dispose = value[Symbol.asyncDispose];
          }
          if (dispose === void 0) {
              if (!Symbol.dispose)
                  throw new TypeError("Symbol.dispose is not defined.");
              dispose = value[Symbol.dispose];
          }
          if (typeof dispose !== "function")
              throw new TypeError("Object not disposable.");
          env.stack.push({ value: value, dispose: dispose, async: async });
      }
      else if (async) {
          env.stack.push({ async: true });
      }
      return value;
  }
  var _SuppressedError = typeof SuppressedError === "function" ? SuppressedError : function (error, suppressed, message) {
      var e = new Error(message);
      return e.name = "SuppressedError", e.error = error, e.suppressed = suppressed, e;
  };
  function __disposeResources(env) {
      function fail(e) {
          env.error = env.hasError ? new _SuppressedError(e, env.error, "An error was suppressed during disposal.") : e;
          env.hasError = true;
      }
      function next() {
          while (env.stack.length) {
              var rec = env.stack.pop();
              try {
                  var result = rec.dispose && rec.dispose.call(rec.value);
                  if (rec.async)
                      return Promise.resolve(result).then(next, function (e) { fail(e); return next(); });
              }
              catch (e) {
                  fail(e);
              }
          }
          if (env.hasError)
              throw env.error;
      }
      return next();
  }
  var tslib_es6 = {
      __extends: __extends,
      __assign: __assign,
      __rest: __rest,
      __decorate: __decorate,
      __param: __param,
      __metadata: __metadata,
      __awaiter: __awaiter,
      __generator: __generator,
      __createBinding: __createBinding,
      __exportStar: __exportStar,
      __values: __values,
      __read: __read,
      __spread: __spread,
      __spreadArrays: __spreadArrays,
      __spreadArray: __spreadArray,
      __await: __await,
      __asyncGenerator: __asyncGenerator,
      __asyncDelegator: __asyncDelegator,
      __asyncValues: __asyncValues,
      __makeTemplateObject: __makeTemplateObject,
      __importStar: __importStar,
      __importDefault: __importDefault,
      __classPrivateFieldGet: __classPrivateFieldGet,
      __classPrivateFieldSet: __classPrivateFieldSet,
      __classPrivateFieldIn: __classPrivateFieldIn,
      __addDisposableResource: __addDisposableResource,
      __disposeResources: __disposeResources,
  };

  var PARSER_ERROR = 'parsererror';
  var SUCCESS = 'success';
  var ERROR = 'error';
  var NO_CONTENT = 'nocontent';
  var TIMEOUT = 'timeout';
  var STATUS_ABORT = 0;
  var CONTENT_TYPE = 'Content-Type';
  var URLENCODED = 'application/x-www-form-urlencoded';
  function assignResponseProps(xhrSurrogate, response) {
      var getResponseHeader = function (name) { return response.headers.get(name); };
      function makeResponseText() {
          var body = 'error' in response ? response.error : response.body;
          if (typeof body !== 'string' || String(getResponseHeader(CONTENT_TYPE)).startsWith('application/json')) {
              return JSON.stringify(body);
          }
          return body;
      }
      Object.assign(xhrSurrogate, {
          status: response.status,
          statusText: response.statusText,
          getResponseHeader: getResponseHeader,
          responseText: makeResponseText(),
      });
      return xhrSurrogate;
  }
  function isGetMethod(options) {
      return ajax_utils.getMethod(options) === 'GET';
  }
  function isCacheNeed(options) {
      if (options.cache === undefined) {
          return !(isUsedScript(options) || isUsedJSONP(options));
      }
      return options.cache;
  }
  function isUsedScript(options) {
      return options.dataType === 'script';
  }
  function isUsedJSONP(options) {
      return options.dataType === 'jsonp';
  }
  function getRequestHeaders(options) {
      var headers = ajax_utils.getRequestHeaders(options);
      var upload = options.upload;
      if (!headers.Accept) {
          headers.Accept = ajax_utils.getAcceptHeader(options);
      }
      if (!upload && !isGetMethod(options) && !headers[CONTENT_TYPE]) {
          headers[CONTENT_TYPE] = options.contentType || URLENCODED + ";charset=utf-8";
      }
      return Object.keys(headers).reduce(function (acc, key) {
          if (type.isDefined(headers[key])) {
              acc[key] = headers[key];
          }
          return acc;
      }, {});
  }
  function rejectIfAborted(deferred, xhrSurrogate, callback) {
      if (xhrSurrogate.aborted) {
          deferred.reject({ status: STATUS_ABORT, statusText: 'aborted', ok: false });
          callback === null || callback === void 0 ? void 0 : callback();
      }
  }
  function getJsonpParameters(options) {
      var patchedOptions = Object.assign({}, options);
      var callbackName = ajax_utils.getJsonpCallbackName(patchedOptions);
      return { callbackName: callbackName, data: patchedOptions.data };
  }
  function addJsonpCallback(callbackName, deferred, xhrSurrogate) {
      window.getWindow()[callbackName] = function (data) { return deferred.resolve(data, SUCCESS, xhrSurrogate); };
  }
  function sendRequestByScript(url, deferred, xhrSurrogate) {
      ajax_utils.evalCrossDomainScript(url).then(function () { return deferred.resolve(null, SUCCESS, xhrSurrogate); }, function () { return deferred.reject(xhrSurrogate, ERROR); });
  }
  function getRequestCallbacks(options, deferred, xhrSurrogate) {
      return {
          next: function (response) {
              if (isUsedJSONP(options)) {
                  return options.crossDomain
                      ? deferred.resolve(response, 'success', assignResponseProps(xhrSurrogate, response))
                      : ajax_utils.evalScript(response.body);
              }
              if (isUsedScript(options)) {
                  ajax_utils.evalScript(response.body);
              }
              return deferred.resolve(response.body, response.body ? 'success' : NO_CONTENT, assignResponseProps(xhrSurrogate, response));
          },
          error: function (error) {
              var _a, _b;
              error = error && typeof error === 'object' ? error : { error: error };
              var errorStatus = (error === null || error === void 0 ? void 0 : error.statusText) === TIMEOUT ? TIMEOUT : 'error';
              errorStatus = options.dataType === 'json' && ((_b = (_a = error === null || error === void 0 ? void 0 : error.message) === null || _a === void 0 ? void 0 : _a.includes) === null || _b === void 0 ? void 0 : _b.call(_a, 'parsing'))
                  ? PARSER_ERROR
                  : errorStatus;
              return deferred.reject(assignResponseProps(xhrSurrogate, Object.assign({ status: 400 }, error)), errorStatus, error);
          },
          complete: function () {
              rejectIfAborted(deferred, xhrSurrogate);
          },
      };
  }
  function getUploadCallbacks(options, deferred, xhrSurrogate) {
      var total = 0;
      var isUploadStarted = false;
      return {
          next: function (event) {
              var _a, _b, _c, _d;
              if (!isUploadStarted
                  && [i1.HttpEventType.UploadProgress, i1.HttpEventType.Sent].includes(event.type)) {
                  (_b = (_a = options.upload).onloadstart) === null || _b === void 0 ? void 0 : _b.call(_a, event);
                  isUploadStarted = true;
              }
              if (event.type === i1.HttpEventType.UploadProgress) {
                  total += event.loaded;
                  (_d = (_c = options.upload).onprogress) === null || _d === void 0 ? void 0 : _d.call(_c, Object.assign(Object.assign({}, event), { total: total }));
              }
              else if (event.type === i1.HttpEventType.Response) {
                  return deferred.resolve(xhrSurrogate, SUCCESS);
              }
              return null;
          },
          error: function (error) {
              error = error && typeof error === 'object' ? error : { error: error };
              return deferred.reject(assignResponseProps(xhrSurrogate, Object.assign({ status: 400 }, error)), error.status, error);
          },
          complete: function () {
              rejectIfAborted(deferred, xhrSurrogate, function () {
                  var _a, _b;
                  (_b = (_a = options.upload) === null || _a === void 0 ? void 0 : _a.onabort) === null || _b === void 0 ? void 0 : _b.call(_a, xhrSurrogate);
              });
          },
      };
  }
  var sendRequestFactory = function (httpClient) { return function (options) {
      var abort$ = new rxjs.Subject();
      var deferred$1 = deferred.Deferred();
      var result = deferred$1.promise();
      var isGet = isGetMethod(options);
      var isJSONP = isUsedJSONP(options);
      var isScript = isUsedScript(options);
      options.crossDomain = ajax_utils.isCrossDomain(options.url);
      options.cache = isCacheNeed(options);
      var headers = getRequestHeaders(options);
      var xhrSurrogate = {
          type: 'XMLHttpRequestSurrogate',
          aborted: false,
          abort: function () {
              this.aborted = true;
              abort$.next();
          },
      };
      result.abort = function () { return xhrSurrogate.abort(); };
      if (!options.crossDomain && isJSONP) {
          var _e = getJsonpParameters(options), callbackName = _e.callbackName, data_1 = _e.data;
          options.data = Object.assign(Object.assign({}, options.data), data_1);
          addJsonpCallback(callbackName, deferred$1, xhrSurrogate);
      }
      var _f = ajax_utils.getRequestOptions(options, headers), url = _f.url, data = _f.parameters;
      var upload = options.upload, beforeSend = options.beforeSend, xhrFields = options.xhrFields;
      beforeSend === null || beforeSend === void 0 ? void 0 : beforeSend(xhrSurrogate);
      if (options.crossDomain && isScript && !xhrSurrogate.aborted) {
          sendRequestByScript(url, deferred$1, xhrSurrogate);
          return result;
      }
      if (options.cache === false && isGet && data) {
          data._ = Date.now() + 1;
      }
      var makeBody = function () { return (!upload && typeof data === 'object' && headers[CONTENT_TYPE].indexOf(URLENCODED) === 0
          ? Object.keys(data).reduce(function (httpParams, key) { return httpParams.set(key, data[key]); }, new i1.HttpParams()).toString()
          : data); };
      var body = isGet ? undefined : makeBody();
      var params = isGet ? data : undefined;
      var request = options.crossDomain && isJSONP
          ? httpClient.jsonp(url, options.jsonp || 'callback')
          : httpClient.request(ajax_utils.getMethod(options), url, {
              params: params,
              body: body,
              headers: headers,
              reportProgress: true,
              withCredentials: xhrFields === null || xhrFields === void 0 ? void 0 : xhrFields.withCredentials,
              observe: upload ? 'events' : 'response',
              responseType: options.responseType || (isScript || isJSONP ? 'text' : options.dataType),
          });
      var subscriptionCallbacks = upload
          ? getUploadCallbacks
          : getRequestCallbacks;
      request.pipe.apply(request, __spreadArray([
          operators.takeUntil(abort$)
      ], __read(options.timeout
          ? [operators.timeoutWith(options.timeout, rxjs.throwError({ statusText: TIMEOUT, status: 0, ok: false }))]
          : []))).subscribe(subscriptionCallbacks(options, deferred$1, xhrSurrogate));
      return result;
  }; };

  /*!
   * devextreme-angular
   * Version: 24.1.1-alpha-24082-1039
   * Build date: Fri Mar 22 2024
   *
   * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
   *
   * This software may be modified and distributed under the terms
   * of the MIT license. See the LICENSE file in the root of the project for details.
   *
   * https://github.com/DevExpress/devextreme-angular
   */
  var DxHttpModule = /** @class */ (function () {
      function DxHttpModule(httpClient) {
          devextremeAjax__default["default"].inject({ sendRequest: sendRequestFactory(httpClient) });
      }
      return DxHttpModule;
  }());
  /** @nocollapse */ DxHttpModule.ɵfac = function DxHttpModule_Factory(t) { return new (t || DxHttpModule)(i0__namespace.ɵɵinject(i1__namespace.HttpClient)); };
  /** @nocollapse */ DxHttpModule.ɵmod = /** @pureOrBreakMyCode */ i0__namespace.ɵɵdefineNgModule({ type: DxHttpModule });
  /** @nocollapse */ DxHttpModule.ɵinj = /** @pureOrBreakMyCode */ i0__namespace.ɵɵdefineInjector({ providers: [], imports: [[i1.HttpClientModule]] });
  (function () {
      (typeof ngDevMode === "undefined" || ngDevMode) && i0__namespace.ɵsetClassMetadata(DxHttpModule, [{
              type: i0.NgModule,
              args: [{
                      exports: [],
                      imports: [i1.HttpClientModule],
                      providers: [],
                  }]
          }], function () { return [{ type: i1__namespace.HttpClient }]; }, null);
  })();
  (function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0__namespace.ɵɵsetNgModuleScope(DxHttpModule, { imports: [i1.HttpClientModule] }); })();

  /**
   * Generated bundle index. Do not edit.
   */

  exports.DxHttpModule = DxHttpModule;

  Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=devextreme-angular-http.umd.js.map
