/*!
 * devextreme-angular
 * Version: 24.1.1-alpha-24082-1039
 * Build date: Fri Mar 22 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoVizFont } from './base/viz-font';
import * as i0 from "@angular/core";
export declare class DxoFontComponent extends DxoVizFont implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFontComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoFontComponent, "dxo-font", never, { "color": "color"; "family": "family"; "opacity": "opacity"; "size": "size"; "weight": "weight"; }, {}, never, never>;
}
export declare class DxoFontModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFontModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoFontModule, [typeof DxoFontComponent], never, [typeof DxoFontComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoFontModule>;
}
