/*!
 * devextreme-angular
 * Version: 24.1.1-alpha-24082-1039
 * Build date: Fri Mar 22 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Orientation } from 'devextreme/common';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoGeometryComponent extends NestedOption implements OnDestroy, OnInit {
    get endAngle(): number;
    set endAngle(value: number);
    get startAngle(): number;
    set startAngle(value: number);
    get orientation(): Orientation;
    set orientation(value: Orientation);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGeometryComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoGeometryComponent, "dxo-geometry", never, { "endAngle": "endAngle"; "startAngle": "startAngle"; "orientation": "orientation"; }, {}, never, never>;
}
export declare class DxoGeometryModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGeometryModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoGeometryModule, [typeof DxoGeometryComponent], never, [typeof DxoGeometryComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoGeometryModule>;
}
