/*!
 * devextreme-angular
 * Version: 24.1.1-alpha-24082-1039
 * Build date: Fri Mar 22 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { SubmenuShowMode } from 'devextreme/common';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoShowSubmenuModeComponent extends NestedOption implements OnDestroy, OnInit {
    get delay(): number | {
        hide?: number;
        show?: number;
    };
    set delay(value: number | {
        hide?: number;
        show?: number;
    });
    get name(): SubmenuShowMode;
    set name(value: SubmenuShowMode);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoShowSubmenuModeComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoShowSubmenuModeComponent, "dxo-show-submenu-mode", never, { "delay": "delay"; "name": "name"; }, {}, never, never>;
}
export declare class DxoShowSubmenuModeModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoShowSubmenuModeModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoShowSubmenuModeModule, [typeof DxoShowSubmenuModeComponent], never, [typeof DxoShowSubmenuModeComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoShowSubmenuModeModule>;
}
